summaryrefslogtreecommitdiff
path: root/fml/utils/bin
diff options
context:
space:
mode:
authorfukachan <fukachan>2001-03-24 14:21:39 +0000
committerfukachan <fukachan>2001-03-24 14:21:39 +0000
commita3e125a194ae5d06f5794e7abf975187975559bb (patch)
tree10bacbc544de704ff33cfa32d45eb8735cd7200e /fml/utils/bin
parent88614753fceb330dfcd3f0bf02dab3fec6d617d8 (diff)
downloadfml8-a3e125a194ae5d06f5794e7abf975187975559bb.tar.gz
fml8-a3e125a194ae5d06f5794e7abf975187975559bb.tar.bz2
fml8-a3e125a194ae5d06f5794e7abf975187975559bb.zip
list up what is new. please specify date used in cvs diff -D date
Diffstat (limited to 'fml/utils/bin')
-rwxr-xr-xfml/utils/bin/list_up_whats_new.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/fml/utils/bin/list_up_whats_new.sh b/fml/utils/bin/list_up_whats_new.sh
new file mode 100755
index 00000000..ba1071a7
--- /dev/null
+++ b/fml/utils/bin/list_up_whats_new.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+#
+# $Id$
+#
+
+date=$1
+
+cd ../../ || exit 1
+
+cvs diff -ub -D $date 2>&1 |\
+perl -nle 's/no revision.*in file\s+(\S+)/print $1/e;\
+ s/Index:\s+(\S+)/print $1/e;'
+
+exit 0;